Subject: Re: Windows now has fdatasync()

From: Thomas Munro <[email-masked]>
Date: Sat, 5 Feb 2022 14:46:22 +1300

On Sat, Feb 5, 2022 at 12:54 PM Robert Haas <[email-masked]> wrote:
> On Fri, Feb 4, 2022 at 4:24 PM Thomas Munro <[email-masked]> wrote:
> > I'm not proposing we change our default to this new level, because it
> > doesn't work on non-NTFS, an annoying complication.  This patch would
> > just provide something faster to put after "Alternatively".
>
> Hmm. I thought NTFS had kind of won the filesystem war on the Windows
> side of things. No?

Against FAT, yes, but there are also SMB/CIFS (network) and the new
ReFS (which we recently broke and then unbroke[1]).  I haven't tried
those things, lacking general Windows-fu, but I suppose they'd reject
this and we'd panic, because the docs say "file systems supported:
NTFS"[2].

[1] https://www.postgresql.org/message-id/flat/16854-905604506e23d5c0%40postgresql.org
[2] https://docs.microsoft.com/en-us/windows-hardware/drivers/ddi/ntifs/nf-ntifs-ntflushbuffersfileex